import {
  Route,
  Routes,
  useLocation,
  useNavigationType,
} from "react-router-dom";
import Home from "./pages/Home/Home";
import Imprint from "./pages/Imprint/Imprint";
import { Constants } from "./Utils";
import PageNotFound from "./pages/PageNotFound/PageNotFound";
import Navbar from "./components/Navbar/Navbar";
import Footer from "./components/Footer/Footer";
import DataPrivacy from "./pages/DataPrivacy/DataPrivacy";
import { useEffect } from "react";

function App() {
  const action = useNavigationType();
  const location = useLocation();
  const pathname = location.pathname;

  useEffect(() => {
    console.log(action);
    console.log(pathname);

    if (action !== "POP") {
      window.scrollTo(0, 0);
    }
  }, [action, pathname]);

  return (
    <>
      <Navbar />

      <Routes>
        <Route path={Constants.ROUTE_PATHS.HOME} element={<Home />} />
        <Route path={Constants.ROUTE_PATHS.IMPRINT} element={<Imprint />} />
        <Route
          path={Constants.ROUTE_PATHS.DATA_PRIVACY}
          element={<DataPrivacy />}
        />
        <Route path="*" element={<PageNotFound />} />
      </Routes>

      <Footer />
    </>
  );
}

export default App;
