import { Link } from "react-router-dom";
import styles from "./Footer.module.css";

export default function Footer() {
  return (
    <>
      <div className={styles.footer}>
        <h1>Hair Guru</h1>
        <div>
          <p>Dorfstraße 7</p>
          <p>Berlin</p>
          <p>+49 963 344954</p>
          <p>hair@guru.de</p>
        </div>

        <div className={styles.socials}>
          <img src="/insta.png" alt="Instagram" />
          <img src="/face.png" alt="Facebook" />
          <img src="/tik.png" alt="TikTok" />
          <img src="/yt.png" alt="YouTube" />
          <img src="/link.png" alt="LinkedIn" />
        </div>

        <div className={styles.imprint}>
          <Link to={"/impressum"}>Impressum</Link>
          <div className={styles.divider}></div>
          <Link to={"/datenschutz"}>Datenschutz</Link>
        </div>
      </div>

      <div className={styles.footerCreator}>
        <p>
          © 2024 - Webdesign by{" "}
          <a
            href="https://kk-innovation.eu"
            target="_blank"
            rel="noopener noreferrer"
            className={styles.companyName}
          >
            KK-Innovation
          </a>
        </p>
      </div>
    </>
  );
}
